View Issue Details

IDProjectCategoryView StatusLast Update
0000491luatexfeature requestpublic2010-12-13 14:43
ReporterHans HagenAssigned ToTaco 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.65.0 
Summary0000491: node.next and node.prev
Descriptionjust a few convenience functions:

function node.next(n)
    return n and n.next
end
function node.prev(n)
    return n and n.prev
end

(permits easy overload from head->tail and tail-head scanning .. follow up on some bug hunting and special tracers)
Steps To Reproduce(note for taco: now I had to duplicate a whole function and change a few lines; ok, we can use something direction = 'next' ... n[direction] but a helper does not hurt)
TagsNo tags attached.

Activities

Taco

2010-11-29 16:48

administrator   ~0000698

in revision 4014

Issue History

Date Modified Username Field Change
2010-10-03 18:17 Hans Hagen New Issue
2010-11-29 16:18 Taco Status new => assigned
2010-11-29 16:18 Taco Assigned To => Taco
2010-11-29 16:48 Taco Note Added: 0000698
2010-11-29 16:48 Taco Status assigned => resolved
2010-11-29 16:48 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed